Subject: Re: [PATCH v3 2/2][BNX2]: Add iSCSI support to BNX2 devices.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 27 Sep 2007 17:38:01 +1000

On Thu, 2007-09-27 at 03:31 -0400, Jeff Garzik wrote:
> A key problem I was hoping would be solved with your work here was
> the 
> elimination of that post dma_map_sg() split.
> 
> If I understood James and Ben correctly, one of the key problems was 
> always in communicating libata's segment boundary needs to the IOMMU
> layers?

Yup. If we can put some constraint in struct device that the dma mapping
code can then look at ... we also need to ensure that what's passed in
for DMA'ing already matches those constraints as well since no-iommu
platforms will basically just keep the dma table as-is.

Ben.